Subject: [secdir] Secdir review of draft-ietf-xcon-event-package-01

From: Yaron Sheffer <[email-masked]>
Date: Thu, 5 Feb 2009 09:23:17 +0200

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This draft extends the existing SIP conference package by adding additional functionality (the XCON data model) and XML document patching.

The Security Considerations section references predecessor documents, and this seems reasonable to me.

One functionality comment, with security implications: Sec. 5.3 specifies that a "patch" document MUST be well formed and SHOULD be valid. I believe non-valid documents significantly increase the vulnerability "attack surface". And since the "patch" schema is extensible by design, I see no reason to not validate the document. In other words, please consider changing validation to a MUST.

Thanks,
            Yaron

Email secured by Check Point

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 24 Feb 2009 15:47:10 +0200

Hi Yaron,

thanks for your review.

With respect to your comment, it is common to specify that documents 
SHOULD be valid. Note that RFC 5261 (this draft is based on it) also 
specifies documents that SHOULD be valid. Therefore, we chose to keep 
the SHOULD given that this is an extension to RFC 5261.

Thanks,

Gonzalo

Yaron Sheffer wrote:
> I have reviewed this document as part of the security directorate's 
> ongoing effort to review all IETF documents being processed by the 
> IESG.  These comments were written primarily for the benefit of the 
> security area directors.  Document editors and WG chairs should treat 
> these comments just like any other last call comments.
> 
>  
> 
> This draft extends the existing SIP conference package by adding 
> additional functionality (the XCON data model) and XML document patching.
> 
>  
> 
> One functionality comment, with security implications: Sec. 5.3 
> specifies that a “patch” document MUST be well formed and SHOULD be 
> valid. I believe non-valid documents significantly increase the 
> vulnerability “attack surface”. And since the “patch” schema is 
> extensible by design, I see no reason to not validate the document. In 
> other words, please consider changing validation to a MUST.
> 
>  
> 
> Thanks,
> 
>             Yaron
> 
> 
>